> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Aandachtspunten van uitgaande campagne weergeven

GET https://api.elevenlabs.io/v1/convai/outbound-campaigns/attention

Toon problemen in de uitgaande campagnes van de workspace waarvoor je actie moet ondernemen, zoals een agent of telefoonnummer dat niet langer kan worden gebruikt, nieuwste eerst. Een campagne met een open item houdt de oproepen tegen die hierdoor worden beïnvloed.

Reference: https://elevenlabs.io/docs/api-reference/campaigns/attention/list

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Query parameters

- `campaign_id` (string, optional, nullable) — Alleen items van deze campagne.
- `include_resolved` (boolean, optional, default: false) — Neem items op die al zijn opgelost.
- `page_size` (integer, optional, default: 100) — Het maximale aantal items dat wordt geretourneerd.
- `cursor` (string, optional, nullable) — Gebruikt om de volgende pagina op te halen. De cursor wordt teruggegeven in de response.

## Response

### 200

Geslaagde response

- `attention` (list of AttentionView, required)
- `next_cursor` (string, required, nullable)
- `has_more` (boolean, required)

## Errors

### 422 Unprocessable Entity Error

Validatiefout

- `detail` (list of ValidationError, optional)

## Types

### AttentionView

- `attention_id` (string, required)
- `campaign_id` (string, required)
- `reason` (string, required) — De oorzaak, zoals `agent_unavailable` of `phone_number_unavailable`.
- `detail` (string, required) — Wat er is misgegaan en hoe je dit kunt oplossen.
- `status` (enum, required)
  - Allowed values: `open`, `resolved`, `retrying`
- `retryable` (boolean, required) — Of een nieuwe poging de oproepen plaatst die het item tegenhoudt. Items waarvoor geen nieuwe poging mogelijk is, worden gesloten door ze op te lossen.
- `resolution` (string, required, nullable) — De notitie die is vastgelegd bij het oplossen van het item.
- `created_at_unix` (integer, required)
- `updated_at_unix` (integer, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

- string
- integer

## Examples

**Response**

```json
{
  "attention": [
    {
      "attention_id": "string",
      "campaign_id": "string",
      "reason": "string",
      "detail": "string",
      "status": "open",
      "retryable": true,
      "resolution": "string",
      "created_at_unix": 1,
      "updated_at_unix": 1
    }
  ],
  "next_cursor": "string",
  "has_more": true
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/outbound-campaigns/attention"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/outbound-campaigns/attention';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/outbound-campaigns/attention"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/outbound-campaigns/attention")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/convai/outbound-campaigns/attention")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/convai/outbound-campaigns/attention');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/outbound-campaigns/attention");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/outbound-campaigns/attention")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```